<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['index','logout'],
                'rules' => [
                    [
                        'actions' => ['index','logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        $db = Yii::$app->getDb();
        $command = $db->createCommand("
            SELECT * FROM orders ORDER BY order_id DESC");
        $orders = $command->queryAll();
        $command = $db->createCommand("
            SELECT * FROM order_items GROUP BY description ORDER BY order_id DESC");
        $orderItems = $command->queryAll();
        return $this->render('index',array(
            'orders'=>$orders,
            'orderItems'=>$orderItems
        ));
    }

    public function actionSyncorders()
    {
        // create curl resource
        $ch = curl_init();
        // set url 
        //curl_setopt($ch, CURLOPT_URL, "https://api.genderize.io/?name=Baron");
        curl_setopt($ch, CURLOPT_URL, "https://linksoul.app.apparelmagic.com/api/json/orders/?time=171114279788&token=2f7b0f27e03d6351ec856f8e75aaa78c&last_modified_time=2019-03-22T17:22:39Z");
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        // $output contains the output json
        $output = curl_exec($ch);
        // close curl resource to free up system resources 
        curl_close($ch);
        // {"name":"Baron","gender":"male","probability":0.88,"count":26}
        $result=json_decode($output,true);
        $orders = $result['response'];
        //echo count($orders);exit;
        $db = Yii::$app->getDb();
        $ordercount=0;
        foreach ($orders as $key => $order) {
            $command = $db->createCommand('INSERT INTO `orders` (`order_id`,`customer_id`,`reference_number`,`date`,`date_start`,`date_due`,`credit_status`,`qty`,`qty_open`,`qty_cxl`,`qty_alloc`,`qty_picked`,`qty_shipped`,`amount_open`,`amount_alloc`,`amount_cxl`,`amount_shipped`) VALUES (:order_id,:customer_id,:reference_number,:date,:date_start,:date_due,:credit_status,:qty,:qty_open,:qty_cxl,:qty_alloc,:qty_picked,:qty_shipped,:amount_open,:amount_alloc,:amount_cxl,:amount_shipped)', [
                ':order_id' => $order['order_id'],
                ':customer_id' => $order['customer_id'],
                ':reference_number' => $order['reference_number'],
                ':date' => date('Y-m-d',strtotime($order['date'])),
                ':date_start' => date('Y-m-d',strtotime($order['date_start'])),
                ':date_due' => date('Y-m-d',strtotime($order['date_due'])),
                ':credit_status' => $order['credit_status'],
                ':qty' => $order['qty'],
                ':qty_open' => $order['qty_open'],
                ':qty_cxl' => $order['qty_cxl'],
                ':qty_alloc' => $order['qty_alloc'],
                ':qty_picked' => $order['qty_picked'],
                ':qty_shipped' => $order['qty_shipped'],
                ':amount_open' => $order['amount_open'],
                ':amount_alloc' => $order['amount_alloc'],
                ':amount_cxl' => $order['amount_cxl'],
                ':amount_shipped' => $order['amount_shipped'],
            ])->execute();
            //echo "inserted succesfully";exit;
            $orderItems=$order['order_items'];
            //echo count($orderItems);exit;
            $orderItemscount=0;
            foreach ($orderItems as $key => $orderItem) {
                //echo "id: ".$orderItem['id']."order_id: ".$orderItem['order_id']."qty: ".$orderItem['qty']."<br>";
                $command = $db->createCommand('INSERT INTO `order_items` (`item_id`,`row_id`,`order_id`,`date_due`,`qty`,`qty_open`,`qty_cxl`,`qty_alloc`,`qty_picked`,`qty_shipped`,`unit_price`,`amount`,`amount_open`,`amount_alloc`,`amount_cxl`,`amount_shipped`,`sku_id`,`product_id`,`attr_2`,`attr_3`,`size`,`sku_alt`,`upc`,`style_number`,`description`) VALUES (:item_id,:row_id,:order_id,:date_due,:qty,:qty_open,:qty_cxl,:qty_alloc,:qty_picked,:qty_shipped,:unit_price,:amount,:amount_open,:amount_alloc,:amount_cxl,:amount_shipped,:sku_id,:product_id,:attr_2,:attr_3,:size,:sku_alt,:upc,:style_number,:description)', [
                ':item_id' => $orderItem['id'],
                ':row_id' => $orderItem['row_id'],
                ':order_id' => $order['order_id'],
                ':date_due' => date('Y-m-d',strtotime($orderItem['date_due'])),
                ':qty' => $orderItem['qty'],
                ':qty_open' => $orderItem['qty_open'],
                ':qty_cxl' => $orderItem['qty_cxl'],
                ':qty_alloc' => $orderItem['qty_alloc'],
                ':qty_picked' => $orderItem['qty_picked'],
                ':qty_shipped' => $orderItem['qty_shipped'],
                ':unit_price' => $orderItem['unit_price'],
                ':amount' => $orderItem['amount'],
                ':amount_open' => $orderItem['amount_open'],
                ':amount_alloc' => $orderItem['amount_alloc'],
                ':amount_cxl' => $orderItem['amount_cxl'],
                ':amount_shipped' => $orderItem['amount_shipped'],
                ':sku_id' => $orderItem['sku_id'],
                ':product_id' => $orderItem['product_id'],
                ':attr_2' => $orderItem['attr_2'],
                ':attr_3' => $orderItem['attr_3'],
                ':size' => $orderItem['size'],
                ':sku_alt' => $orderItem['sku_alt'],
                ':upc' => $orderItem['upc'],
                ':style_number' => $orderItem['style_number'],
                ':description' => $orderItem['description'],
                ])->execute();
                $orderItemscount++;
            }
            $ordercount++;
        }
        echo $ordercount."inserted succesfully";
        echo $orderItemscount."inserted succesfully";
    }

    /**
     * Login action.
     *
     * @return Response|string
     */
    public function actionLogin()
    {
        if (!Yii::$app->user->isGuest) {
            return $this->goHome();
        }

        $model = new LoginForm();
        if ($model->load(Yii::$app->request->post()) && $model->login()) {
            return $this->goBack();
        }

        $model->password = '';
        return $this->render('login', [
            'model' => $model,
        ]);
    }

    /**
     * Logout action.
     *
     * @return Response
     */
    public function actionLogout()
    {
        Yii::$app->user->logout();

        return $this->goHome();
    }

    /**
     * Displays contact page.
     *
     * @return Response|string
     */
    public function actionContact()
    {
        $model = new ContactForm();
        if ($model->load(Yii::$app->request->post()) && $model->contact(Yii::$app->params['adminEmail'])) {
            Yii::$app->session->setFlash('contactFormSubmitted');

            return $this->refresh();
        }
        return $this->render('contact', [
            'model' => $model,
        ]);
    }

    /**
     * Displays about page.
     *
     * @return string
     */
    public function actionAbout()
    {
        return $this->render('about');
    }
}
