<?php

/* @var $this yii\web\View */

$this->title = 'Dashboard';
?>
<div class="row">
                        <div class="col-lg-3 col-md-6 col-sm-6">
                            <div class="card card-stats">
                                <div class="card-header" data-background-color="orange">
                                    <i class="material-icons">store</i>
                                </div>
                                <div class="card-content">
                                    <p class="category"></p>
                                    <h3 class="title">30</h3>
                                </div>
                                <div class="card-footer">
                                    <div class="stats">
                                        <i class="material-icons">local_offer</i>Total Orders
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-3 col-md-6 col-sm-6">
                            <div class="card card-stats">
                                <div class="card-header" data-background-color="green">
                                    <i class="material-icons">remove_shopping_cart</i>
                                </div>
                                <div class="card-content">
                                    <p class="category"></p>
                                    <h3 class="title">10</h3>
                                </div>
                                <div class="card-footer">
                                    <div class="stats">
                                        <i class="material-icons">local_offer</i> # of Order not Invoiced
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-3 col-md-6 col-sm-6">
                            <div class="card card-stats">
                                <div class="card-header" data-background-color="red">
                                    <i class="material-icons">local_printshop</i>
                                </div>
                                <div class="card-content">
                                    <p class="category"></p>
                                    <h3 class="title">15</h3>
                                </div>
                                <div class="card-footer">
                                    <div class="stats">
                                        <i class="material-icons">local_offer</i> Order Invoiced
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-3 col-md-6 col-sm-6">
                            <div class="card card-stats">
                                <div class="card-header" data-background-color="blue">
                                    <i class="material-icons">local_shipping</i>
                                </div>
                                <div class="card-content">
                                    <p class="category"></p>
                                    <h3 class="title">20</h3>
                                </div>
                                <div class="card-footer">
                                    <div class="stats">
                                        <i class="material-icons">local_offer</i> # of Order Shipped
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card">
                                <div class="card-header" data-background-color="purple">
                                    <h4 class="title">Orders</h4>
                                    <p class="category"></p>
                                </div>
                                <div class="card-content table-responsive">
                                    <table class="table">
                                        <thead class="text-primary">
                                            <th>Order Id</th>
                                            <th>Customer code</th>
                                            <th>Customer reference</th>
                                            <th>Date</th>
                                            <th>Start date</th>
                                            <th>Due Date</th>
                                            <th>Credit Status</th>
                                            <th>Quantity</th>
                                            <th>Open Quantity</th>
                                            <th>Cancelled Quantity</th>
                                            <th>Allocation Quantity</th>
                                        </thead>
                                        <tbody>
                                            <?php 
                                                foreach ($orders as $key => $order) {
                                                   echo '<tr>
                                                    <td>'.$order['order_id'].'</td>
                                                    <td>'.$order['customer_id'].'</td>
                                                    <td>'.$order['reference_number'].'</td>
                                                    <td>'.date('m/d/Y',strtotime($order['date'])).'</td>
                                                    <td>'.date('m/d/Y',strtotime($order['date_start'])).'</td>
                                                    <td>'.date('m/d/Y',strtotime($order['date_due'])).'</td>
                                                    <td>'.$order['credit_status'].'</td>
                                                    <td>'.$order['qty'].'</td>
                                                    <td>'.$order['qty_open'].'</td>
                                                    <td>'.$order['qty_cxl'].'</td>
                                                    <td>'.$order['qty_alloc'].'</td>
                                                    </tr>';
                                                }
                                            ?>
                                        </tbody>
                                    </table>

                                </div>
                            </div>
                        </div>

                        <div class="col-md-12">
                            <div class="card card-plain">
                                <div class="card-header" data-background-color="purple">
                                    <h4 class="title">Order Items</h4>
                                    <p class="category"></p>
                                </div>
                                <div class="card-content table-responsive">
                                    <table class="table table-hover">
                                        <thead>
                                            <th>ID</th>
                                            <th>Order Id</th>
                                            <th>Description</th>
                                            <th>Size</th>
                                            <th>Style number</th>
                                            <th>Sku Id</th>
                                            <th>Due date</th>
                                            <th>Quantity</th>
                                            <th>Quantity shipped</th>
                                            <th>Unit price</th>
                                            <th>Amount</th>
                                        </thead>
                                        <tbody>
                                            <?php 
                                                foreach ($orderItems as $key => $orderItem) {
                                                   echo '<tr>
                                                    <td>'.$orderItem['item_id'].'</td>
                                                    <td>'.$orderItem['order_id'].'</td>
                                                    <td>'.$orderItem['description'].'</td>
                                                    <td>'.$orderItem['size'].'</td>
                                                    <td>'.$orderItem['style_number'].'</td>
                                                    <td>'.$orderItem['sku_id'].'</td>
                                                    <td>'.date('m/d/Y',strtotime($orderItem['date_due'])).'</td>
                                                    <td>'.$orderItem['qty'].'</td>
                                                    <td>'.$orderItem['qty_shipped'].'</td>
                                                    <td>'.$orderItem['unit_price'].'</td>
                                                    <td>'.$orderItem['amount'].'</td>
                                                    </tr>';
                                                }
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
